This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266174 - Kie server controller fails on WebLogic when connecting kie server
Kie server controller fails on WebLogic when connecting kie server
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: brms-docs@redhat.com
Karel Suta
Tomas Radej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 12:48 EDT by Karel Suta
Modified: 2015-12-21 11:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When deployed on Oracle WebLogic along with BRMS Business Central, the KIE server fails to connect to the KIE server controller during startup. A NameNotFoundException is thrown, where 'com.sun.jersey.config.CDIExtension' is the name being resolved. Calling the KIE server controller directly with a PUT request results in the same error. The workaround is to add the system property "com.sun.jersey.server.impl.cdi.lookupExtensionInBeanManager=true".
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (10.24 KB, text/plain)
2015-09-24 12:48 EDT, Karel Suta
no flags Details

  None (edit)
Description Karel Suta 2015-09-24 12:48:52 EDT
Created attachment 1076635 [details]
stacktrace

Description of problem:
When kie server tries to connect to kie server controller during startup, connecting fails due to error listed in attachment.
This happens just when there is BRMS business central deployed together with kie server on WebLogic.

This issue also happens when directly calling kie server controller like:
PUT .../rest/controller/admin/server/KieServerBaseIntegrationTest@2015-09-267-184514_953


Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
Deploy business central and kie server to WebLogic. 

Steps to Reproduce:
1.
2.
3.

Actual results:
Exception is thrown.

Expected results:
Kie server is sucessfully connected to BRMS.

Additional info:
Comment 2 Karel Suta 2015-09-29 07:15:31 EDT
Not a bug.
This is configuration issue, can be fixed by adding system property -Dcom.sun.jersey.server.impl.cdi.lookupExtensionInBeanManager=true
Comment 3 Karel Suta 2015-09-29 09:46:15 EDT
Prepared merge request for documentation - Merge Request #2.
Comment 4 Karel Suta 2015-12-08 02:50:21 EST
Veriified in 6.2.0GA.
Documentation is updated.

Note You need to log in before you can comment on or make changes to this bug.